Skip to content
This repository
Newer
Older
100644 36 lines (31 sloc) 1.229 kb
56282ed2 »
2010-11-15 Add setup.py
1 from distutils.core import setup
da4fbabb »
2012-03-04 Add __version__ to pykka module
2 import re
56282ed2 »
2010-11-15 Add setup.py
3
f57906a3 »
2012-10-19 Fix all flake8 and pylint warnings
4
da4fbabb »
2012-03-04 Add __version__ to pykka module
5 def get_version():
6 init_py = open('pykka/__init__.py').read()
7 metadata = dict(re.findall("__([a-z]+)__ = '([^']+)'", init_py))
8 return metadata['version']
a72a94f6 »
2010-12-07 Add VERSION field and use it in setup.py and docs
9
f57906a3 »
2012-10-19 Fix all flake8 and pylint warnings
10
56282ed2 »
2010-11-15 Add setup.py
11 setup(
12 name='Pykka',
da4fbabb »
2012-03-04 Add __version__ to pykka module
13 version=get_version(),
56282ed2 »
2010-11-15 Add setup.py
14 author='Stein Magnus Jodal',
15 author_email='stein.magnus@jodal.no',
16 packages=['pykka'],
d3388e27 »
2013-01-15 Use own domain for web site
17 url='http://www.pykka.org/',
56282ed2 »
2010-11-15 Add setup.py
18 license='Apache License, Version 2.0',
c7f16f44 »
2013-01-14 pypi: Update short description
19 description='Pykka is a Python implementation of the actor model',
56282ed2 »
2010-11-15 Add setup.py
20 long_description=open('README.rst').read(),
21 classifiers=[
88b8fb5a »
2013-01-14 pypi: Bump dev status to stable
22 'Development Status :: 5 - Production/Stable',
56282ed2 »
2010-11-15 Add setup.py
23 'Intended Audience :: Developers',
24 'License :: OSI Approved :: Apache Software License',
77f8e99c »
2013-01-14 pypi: Add more Python version/implementation classifiers
25 'Programming Language :: Python :: 2',
56282ed2 »
2010-11-15 Add setup.py
26 'Programming Language :: Python :: 2.6',
27 'Programming Language :: Python :: 2.7',
76dddab8 »
2011-03-05 Update description and categories for PyPI
28 'Programming Language :: Python :: 3',
77f8e99c »
2013-01-14 pypi: Add more Python version/implementation classifiers
29 'Programming Language :: Python :: 3.2',
30 'Programming Language :: Python :: 3.3',
31 'Programming Language :: Python :: Implementation :: CPython',
32 'Programming Language :: Python :: Implementation :: PyPy',
56282ed2 »
2010-11-15 Add setup.py
33 'Topic :: Software Development :: Libraries',
34 ],
35 )
Something went wrong with that request. Please try again.